| Home | Libraries | People | FAQ | More

## Class template pinned_allocator

boost::compute::pinned_allocator

## Synopsis

    // In header: <boost/compute/allocator/pinned_allocator.hpp>

    template<typename T>
    class pinned_allocator : public boost::compute::buffer_allocator< T > {
    public:
      // construct/copy/destruct
      explicit pinned_allocator(const context &);
      pinned_allocator(const pinned_allocator< T > &);
      pinned_allocator< T > & operator=(const pinned_allocator< T > &);
      ~pinned_allocator();
    };

## Description

### `pinned_allocator` public construct/copy/destruct

1.     explicit pinned_allocator(const context & context);

2.     pinned_allocator(const pinned_allocator< T > & other);

3.     pinned_allocator< T > & operator=(const pinned_allocator< T > & other);

4.     ~pinned_allocator();